AW: SSO and SAP with kerberos in AIX - Kerberos

This is a discussion on AW: SSO and SAP with kerberos in AIX - Kerberos ; is libgssapi_krb5.a a 32 or 64bit file? and the executable of R/3? they must be the same. either both 32 or both 64bit. and try to load and compile the SAP SNC Adapter instead of directly loading libgssapi_krb5.a. The adapter ...

+ Reply to Thread
Results 1 to 7 of 7

Thread: AW: SSO and SAP with kerberos in AIX

  1. AW: SSO and SAP with kerberos in AIX

    is libgssapi_krb5.a a 32 or 64bit file? and the executable of R/3?
    they must be the same. either both 32 or both 64bit.

    and try to load and compile the SAP SNC Adapter instead of directly loading libgssapi_krb5.a. The adapter (library) sits between R/3 and libgssapi_krb5.a

    regards,

    c. barbat

    -----Ursprüngliche Nachricht-----
    Von: kerberos-bounces@MIT.EDU [mailto:kerberos-bounces@MIT.EDU]Im
    Auftrag von jldelamata@gmail.com
    Gesendet: Mittwoch, 26. Oktober 2005 10:24
    An: kerberos@MIT.EDU
    Betreff: SSO and SAP with kerberos in AIX


    I'm configuring SSO with Kerberos for SAP in a system AIX.
    But when restart the instance appears the following error:
    N SncInit(): found snc/data_protection/max=3, using 3 (Privacy
    Level)
    N SncInit(): found snc/data_protection/min=1, using 1
    (Authentication Level)
    N SncInit(): found snc/data_protection/use=3, using 3 (Privacy
    Level)
    N SncInit(): found snc/gssapi_lib=/usr/local/lib/libgssapi_krb5.a
    M *** ERROR => DlLoadLib: 0509-026 System error: Cannot run a
    file that do
    es not have a valid format. -> DLENOACCESS (8,Exec format error)
    [dlux.c 2
    46]
    N *** ERROR => SncPDLInit():
    DlLoadLib("/usr/local/lib/libgssapi_krb5.a")=DLENO
    ACCESS [sncxxdl.c 342]
    N *** ERROR => SncPDLInit()==SNCERR_INIT, Adapter (#0)
    /usr/local/lib/libgssapi
    _krb5.a not loaded
    N [sncxxdl.0613]<<- SncInit()==SNCERR_INIT
    N sec_avail = "false"
    M ***LOG R19=> ThSncInit, SncInit ( SNC-000001) [thxxsnc.c 219]
    M *** ERROR => ThSncInit: SncInit (SNCERR_INIT) [thxxsnc.c 221]
    M in_ThErrHandle: 1
    M *** ERROR => SncInit (step 1, th_errno 44, action 3) [thxxhead.c
    8369]
    M

    And all work process die.

    Any idea?

    thanks,

    ________________________________________________
    Kerberos mailing list Kerberos@mit.edu
    https://mailman.mit.edu/mailman/listinfo/kerberos


    ________________________________________________
    Kerberos mailing list Kerberos@mit.edu
    https://mailman.mit.edu/mailman/listinfo/kerberos


  2. Re: SSO and SAP with kerberos in AIX

    Hi,

    The problem isn't resolved, the process that I folow is the next:

    export CC="gcc -maix64" with export CC=gcc the problem is the same.

    Run configure:

    ../configure --disable-static --enable-shared -without-krb4

    make all

    make install

    The library libgssapi_krb5.a have 777 permissions and group owner
    sapsys

    oslevel : AIX 5.2.0.0
    SAP R/3: 4.6C, Kernel 4.6D 64 BIT
    Kerberos version5 1.3.1

    I don't know where is my error.

    Thanks for your help.

    José Luis de la Mata


  3. Re: SSO and SAP with kerberos in AIX

    Hi:

    Where can i download SNC ADAPTOR i don't find it in SAP MarketPlace.

    Thanks,


  4. Re: SSO and SAP with kerberos in AIX

    Hi José,

    adm$ file `which disp+work`
    /usr/sap/TBC/SYS/exe/run/disp+work: ELF 64-bit MSB executable, cisco
    7500, version 1 (SYSV), for GNU/Linux 2.4.21, dynamically linked (uses
    shared libs), not stripped

    adm$ file /usr/local/lib/libgssapi_krb5.so.2.2
    /usr/local/lib/libgssapi_krb5.so.2.2: ELF 64-bit MSB shared object,
    cisco 7500, version 1 (SYSV), not stripped

    So both, SAP and krb5, are 64bit.
    On OpenPower 720 (ppc64) and SLES9 for PowerPC I compiled MIT krb5 1.4.2
    like this:

    ../configure --enable-shared
    make CC="gcc -m64"
    make install

    For snc/gssapi_lib I use the "SAP SNC Adapter 1.1" as Calin said. SAP
    has changed their web pages, so I can't find sncadapt any more. For a
    week or so it could be found here:
    https://www.sdn.sap.com/sdn/icc.sdn?...k_security.htm

    I'll send you a mail with sncadapt and gsstest attached.

    ---
    Christoph

    jldelamata@gmail.com wrote:
    > Hi,
    >
    > The problem isn't resolved, the process that I folow is the next:
    >
    > export CC="gcc -maix64" with export CC=gcc the problem is the same.
    >
    > Run configure:
    >
    > ./configure --disable-static --enable-shared -without-krb4
    >
    > make all
    >
    > make install
    >
    > The library libgssapi_krb5.a have 777 permissions and group owner
    > sapsys
    >
    > oslevel : AIX 5.2.0.0
    > SAP R/3: 4.6C, Kernel 4.6D 64 BIT
    > Kerberos version5 1.3.1
    >
    > I don't know where is my error.
    >
    > Thanks for your help.
    >
    > José Luis de la Mata
    >


  5. Re: SSO and SAP with kerberos in AIX

    hi:

    the format of my library is:

    desap:root/usr/local/lib>file libgssapi_krb5.a.2.2
    libgssapi_krb5.a.2.2: archive (big format)

    Actually I have changed Kerberos version to V5 1.4.2 from V5 1.3.1, now
    when i compile occurs the next error:
    collect2: library libgcc_s not found
    make: 1254-004 The error code from the last command is 1.


    Stop.
    make: 1254-004 The error code from the last command is 1.


    Stop.
    make: 1254-004 The error code from the last command is 1.

    I think that the installation of gcc isn't complete, but i'm not sure.
    I find libgcc.a library but not libgcc_s or libgcc.so.

    Thaks for your help:

    José Luis


  6. Re: SSO and SAP with kerberos in AIX

    Hi,

    on AIX 5.3 I have the following RPMs installed:
    gcc-3.3.2-5
    libgcc-3.3.2-5

    In libgcc you'll find your missing library.

    cheers,
    Christoph

    jldelamata@gmail.com wrote:
    > Actually I have changed Kerberos version to V5 1.4.2 from V5 1.3.1, now
    > when i compile occurs the next error:
    > collect2: library libgcc_s not found
    > make: 1254-004 The error code from the last command is 1.
    >
    > José Luis
    >


  7. Re: SSO and SAP with kerberos in AIX

    Don't forget to use a LDFLAGS="-Wl,-blibpath:/usr/lib:/lib:/path-to-libgcc".

    Markus

    "Christoph Weizen" wrote in message
    news:dkdpo0$6hg$00$1@news.t-online.com...
    > Hi,
    >
    > on AIX 5.3 I have the following RPMs installed:
    > gcc-3.3.2-5
    > libgcc-3.3.2-5
    >
    > In libgcc you'll find your missing library.
    >
    > cheers,
    > Christoph
    >
    > jldelamata@gmail.com wrote:
    >> Actually I have changed Kerberos version to V5 1.4.2 from V5 1.3.1, now
    >> when i compile occurs the next error:
    >> collect2: library libgcc_s not found
    >> make: 1254-004 The error code from the last command is 1.
    >>
    >> José Luis
    >>




+ Reply to Thread